<?php
class ModelExtensionModuleMMA extends Model {

	public function install() {

		$sql = "CREATE TABLE IF NOT EXISTS `" . DB_PREFIX . "mma`(
			mma_id INT(11) PRIMARY KEY AUTO_INCREMENT,
			email VARCHAR(500),
			locale VARCHAR(500) DEFAULT 'en',
			is_mail_sent TINYINT(1) DEFAULT 0,
			date_added TIMESTAMP NOT NULL,
			date_modified DATETIME NOT NULL
		)";

		$this->db->query($sql);
  	}

	public function uninstall() {
		$sql [] = "DROP TABLE IF EXISTS `" . DB_PREFIX . "mma`";

		foreach ($sql as $val) {			
			$this->db->query($val);
		}	
  	}

	public function getSubscribers() {

		$sql = "SELECT * FROM `" . DB_PREFIX . "mma` ORDER BY mma_id DESC";
		return $this->db->query($sql)->rows;
  	}

  	public function totalSubscribers() {

		$sql = "SELECT count(mma_id) as count FROM `" . DB_PREFIX . "mma` ORDER BY mma_id DESC";
		return $this->db->query($sql)->row['count'];
  	}

  	public function deleteSubscriber($id = 0) {
  		
		$sql = "DELETE FROM `" . DB_PREFIX . "mma` WHERE mma_id = '" . (int)$id . "'";
		$this->db->query($sql);
  	}

  	public function updateSubscriber($id = 0) {
		$this->db->query("UPDATE " . DB_PREFIX . "mma SET is_mail_sent = 1 WHERE mma_id = '" . (int)$id . "'");
	}
}
